/**************************************************************************/
/*                                                                        */
/*  Thibaut Balabonski, Sylvain Conchon, Jean-Christophe Filliâtre,       */
/*  Kim Nguyen, Laurent Sartre                                            */
/*                                                                        */
/*  Informatique - MP2I/MPI - CPGE 1re et 2e années.                      */
/*  Cours et exercices corrigés. Éditions Ellipses, 2022.                 */
/*                                                                        */
/*  https://www.informatique-mpi.fr/                                      */
/*                                                                        */
/**************************************************************************/

// Recherche d'un motif dans un texte avec l'algorithme de Boyer--Moore

#include "prelude.h"

#ifndef BOYER_MOORE
#define BOYER_MOORE

int boyer_moore(char *m, char *t);
// affiche toutes les occurrences de m dans t
// et renvoie le nombre d'occurrences

int boyer_moore_matrix(char *m, char *t);

#endif
